#
# spec file for package ghc-base-compat
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_name base-compat

%bcond_with tests

Name:           ghc-base-compat
Version:        0.9.1
Release:        1.1
Summary:        A compatibility layer for base
Group:          System/Libraries

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-unix-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
%endif
# End cabal-rpm deps

%description
Provides functions available in later versions of 'base' to a wider range of
compilers, without requiring you to use CPP pragmas in your code. See the
<https://github.com/haskell-compat/base-compat#readme README> for what is
covered. Also see the
<https://github.com/haskell-compat/base-compat/blob/master/CHANGES.markdown
changelog> for recent changes.

Note that 'base-compat' does not add any orphan instances. There is a separate
package '<http://hackage.haskell.org/package/base-orphans base-orphans>' for
that.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE


%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.markdown


%changelog
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 0.9.1
  * Use the more efficient version of replicateM and replicateM_ introduced in base-4.9
* Wed Jan 20 2016 mimi.vx@gmail.com
- update to 0.9.0
  * Sync with base-4.9/GHC 8.0
  * Weakened RealFloat constraints on realPart, imagPart, conjugate, mkPolar, and cis
  in Data.Complex.Compat
  * Backport Foreign.ForeignPtr.Safe and Foreign.Marshal.Safe
  * Generalize filterM, forever, mapAndUnzipM, zipWithM, zipWithM_, replicateM,
  and replicateM_ in Control.Monad from Monad to Applicative
  * Backport .Unsafe.Compat modules (for Control.Monad.ST, Control.Monad.ST.Lazy,
  Foreign.ForeignPtr, and Foreign.Marshal)
  * Backport forkFinally and forkOSWithUnmask to Control.Concurrent.Compat
  * Backport Data.Functor.Const
  * Backport modifyIORef', atomicModifyIORef' and atomicWriteIORef to Data.IORef.Compat
  * Data.Ratio.{denominator,numerator} have no Integral constraint anymore
  * Backport modifySTRef' to Data.STRef.Compat
  * Export String, lines, words, unlines, and unwords to Data.String.Compat
  * Generalize Debug.Trace.{traceM, traceShowM} from Monad to Applicative
  * Backport errorWithoutStackTrace to Prelude.Compat
  * Backport unsafeFixIO and unsafeDupablePerformIO to System.IO.Unsafe.Compat
* Tue Dec 15 2015 mimi.vx@gmail.com
- initial commit
